-- get pointer of the orig function 
local og_refresh_ptr = WalletGuiObject.refresh

-- create a new one to override it
function WalletGuiObject.refresh(...)
    -- callback the original to set defaults
    og_refresh_ptr(...)
    -- get the objects we need to change
    if Global.wallet_panel then
        local level_text = Global.wallet_panel:child("wallet_level_text")
        local skillpoint_icon = Global.wallet_panel:child("wallet_skillpoint_icon")
        local skillpoint_text = Global.wallet_panel:child("wallet_skillpoint_text")
        -- override the text
        local xp = managers.experience
        local s = ""
        if xp:level_cap() <= xp:current_level() then -- Level is maxed, show Infamy Pool instead
            s = ", Infamy Pool in: " .. xp:experience_string(xp:get_max_prestige_xp() - xp:get_current_prestige_xp()) .. " XP"
        else
            s = ", Next in: " .. xp:experience_string(xp:next_level_data_points() - xp:next_level_data_current_points())
        end
        level_text:set_text(tostring(xp:current_level()) .. s)
        -- re-adjust the text width now that it is longer
        local x, y, w, h = level_text:text_rect() --get size
        level_text:set_size(w, h) --set size
        level_text:set_position(math.round(level_text:x()), math.round(level_text:y())) --and pos too
        -- adjust the skillpoint locations to the right after level_text is longer
        skillpoint_icon:set_leftbottom(level_text:right() + 10, Global.wallet_panel:h() - 2)
        skillpoint_text:set_left(skillpoint_icon:right() + 2)
        -- call this to size the blur again (the original function calls it, we changed text size -> recalc blur too)
        WalletGuiObject.refresh_blur()
    end
end
